diff --git a/src/bin/pg_amcheck/pg_amcheck.c b/src/bin/pg_amcheck/pg_amcheck.c
index bcb02db495..a092e7d8a9 100644
--- a/src/bin/pg_amcheck/pg_amcheck.c
+++ b/src/bin/pg_amcheck/pg_amcheck.c
@@ -1672,8 +1672,9 @@ compile_database_list(PGconn *conn, SimplePtrList *databases,
 							 pattern_id);
 				exit(1);
 			}
-			log_no_match("no connectable databases to check matching \"%s\"",
-						 opts.include.data[pattern_id].pattern);
+			if (!opts.quiet || fatal)
+				log_no_match("no connectable databases to check matching \"%s\"",
+							 opts.include.data[pattern_id].pattern);
 		}
 		else
 		{
